#no need to copy 
%define _jarsign_opts --nocopy

%define as_major 5
%define as_minor 1
%define as_rev 2
%define seam_version 2.2.5.EAP5

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

# For FCS
##%#bcond_without bundle

# For BETA2/GA
%bcond_with bundle

Summary:        Red Hat Enterprise Web Platform Documentation
Name:           rh-ewp-docs
Version:        %{as_major}.%{as_minor}.%{as_rev}
Release:        4%{?dist}
Epoch:          0
License:        LGPL
BuildArch:      noarch
Group:          Documentation
%if %with bundle
Source0:        %{name}.zip
%endif
#Not needed for EWP
#Source1:        jboss-messaging-examples.zip
Source1:        readme.html
Source3:        web-services-examples.zip
#svn export https://svn.jboss.org/repos/jbossas/branches/JBPAPP_5_1/webservices/src/etc/examples/ web-services-examples
#Exported revision 111252.
#zip -r web-services-examples.zip web-services-examples

BuildRequires:  jpackage-utils,zip,unzip
#needed for resteasy examples
BuildRequires:  resteasy-examples >= 0:1.2.1-9

Requires(pre):  jpackage-utils
Requires:       jboss-seam2-docs >= 0:%{seam_version}
Requires:       hibernate3-javadoc >= 1:3.3.2-1.3.GA_CP04
Requires:       hibernate3-ejb-persistence-3.0-api-javadoc >= 1:1.0.2
Requires:       hibernate3-annotations-javadoc >= 0:3.4.0-3.2.GA_CP04
Requires:       hibernate3-entitymanager-javadoc >= 0:3.4.0-4.3.GA_CP04
Requires:       hibernate3-commons-annotations-javadoc >= 0:3.1.0-1.5.1.1
Requires:       hibernate3-validator-javadoc >= 0:3.1.0-1.4.2
Requires:       hibernate3-search-javadoc >= 0:3.1.1-2.2.GA_CP04

Requires:       resteasy-javadoc >= 0:1.2.1-9
Requires:       resteasy-manual >= 0:1.2.1-9
Requires:       jbossts-javadoc >= 1:4.6.1-11

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The %{name} package contains javadoc api's for the 
Red Hat Enterprise Web Platform.

%package zip
Summary:        Zipped docs for Red Hat Enterprise Web Platform.
Group:          Documentation

%description zip
Zip file containing documentation for Red Hat Enterprise Web Platform.

%package examples
Summary:        Examples for Red Hat Enterprise Web Platform.
Group:          Documentation/Examples

%description examples
Examples for Red Hat Enterprise Web Platform.

%prep
%if %with bundle
%setup -q -c -n rh-ewp-docs
# Remove un-necessary common_content dir (we change readme below to point to new common_content dir)
rm -rf jboss-ewp-%{as_major}.%{as_minor}-fcs/Common_Content
# Remove backup file
rm -rf jboss-ewp-%{as_major}.%{as_minor}-fcs/doc/index.html~
mv jboss-ewp-%{as_major}.%{as_minor}-fcs jboss-ewp-%{as_major}.%{as_minor}
%else
mkdir -p jboss-ewp-%{as_major}.%{as_minor}
%endif
find . -name "*.jar" -exec rm -f {} \;

%build
%if !%with bundle
cp %{SOURCE1} jboss-ewp-%{as_major}.%{as_minor}/readme.html
%endif

# Copy over the examples
mkdir -p jboss-ewp-%{as_major}.%{as_minor}/doc/examples/seam
#Use examples from resteasy-examples
mkdir -p jboss-ewp-%{as_major}.%{as_minor}/doc/examples/resteasy-examples
cp -r %{_javadir}/resteasy/examples/* jboss-ewp-%{as_major}.%{as_minor}/doc/examples/resteasy-examples/
unzip -q -d jboss-ewp-%{as_major}.%{as_minor}/doc/examples %{SOURCE3}
#create readme for seam
cat > jboss-ewp-%{as_major}.%{as_minor}/doc/examples/seam/readme.html << EOF
The seam examples can be found in jboss-ewp-%{as_major}.%{as_minor}/seam/examples/ in the main zip.
EOF

# ------------------------------------------
# Install
# ------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

pushd jboss-ewp-%{as_major}.%{as_minor}

  ### manuals ###
# Not needed for EWP
#  install -dm 755 $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/jbossts/api
  install -dm 755 $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api
  install -dm 755 $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/seam

%if %with bundle
  # We want everything except api and example dirs
  cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/examples
# Not needed for EWP
#  rm -rf $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/jbossts/api/*
  rm -rf $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/*
%endif

  # Link to javadocs from /usr/share/docs/..
# Not needed for EWP
#  ln -s %{_javadocdir}/jbossts $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/jbossts/api/jta
  ln -s %{_javadocdir}/hibernate3-core $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/hibernate-core
  ln -s %{_javadocdir}/hibernate3-ejb-persistence-3.0-api $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/ejb-persistence-3.0-api
  ln -s %{_javadocdir}/hibernate3-annotations $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/hibernate-annotations
  ln -s %{_javadocdir}/hibernate3-entitymanager $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/hibernate-entitymanager
  ln -s %{_javadocdir}/hibernate3-commons-annotations $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/hibernate-commons-annotations
  ln -s %{_javadocdir}/hibernate3-validator $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/hibernate-validator
  ln -s %{_javadocdir}/hibernate3-search $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/hibernate/api/hibernate-search
  ln -s %{_javadocdir}/jboss-seam2-%{seam_version}/api $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}/seam

  # Examples
  install -dm 755 $RPM_BUILD_ROOT%{_datadir}/enterprise-web-platform-%{version}
  cp -pr doc/examples/resteasy-examples $RPM_BUILD_ROOT%{_datadir}/enterprise-web-platform-%{version}
# Not needed for EWP
#  cp -pr doc/examples/jboss-messaging-examples $RPM_BUILD_ROOT%{_datadir}/enterprise-web-platform-%{version}
  cp -pr doc/examples/web-services-examples $RPM_BUILD_ROOT%{_datadir}/enterprise-web-platform-%{version}

  # 1. Copy over the readme
  cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_docdir}/enterprise-web-platform-%{version}

  %if %with bundle
  # 2. Fix css link in readme to make it look in 
  # ./doc/Common_Content instead of in ./Common_Content
  sed -i -e s:"Common_Content":"doc/Common_Content": *.html
  %endif

  ### docs zip ###
  zip -qr ../%{name}-%{version}-%{release}.zip *
popd

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
install -m 644 %{name}-%{version}-%{release}.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/%{name}-%{version}-%{release}.zip

# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

# ------------------------------

%files
%defattr(644,root,root,755)
%doc %{_docdir}/enterprise-web-platform-%{version}

%files zip
%defattr(644,root,root,755)
%{_javadir}/jbossas-fordev

%files examples
%defattr(644,root,root,755)
%doc %{_datadir}/enterprise-web-platform-%{version}

# ------------------------------

%changelog
* Tue Nov 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-4
- Rebuild

* Fri Nov 04 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:5.1.2-3
- 5.1.2.ER2 build

* Tue Sep 20 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.2-2
- Define variable for seam version to avoid broken links

* Tue Sep 13 2011 Permaine Cheung <pcheung@redhat.com> - 0:5.1.2-1
- 5.1.2 build

* Tue May 17 2011 Permaine Cheung <pcheung@redhat.com> - 0:5.1.1-6
- Fix seam javadoc link

* Wed May 11 2011 Permaine Cheung <pcheung@redhat.com> - 0:5.1.1-4
- Rebuild

* Wed Apr 27 2011 Permaine Cheung <pcheung@redhat.com> - 0:5.1.1-3
- Use resteasy-examples for resteasy examples
- Use co for WS examples

* Tue Apr 26 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.1-2
- Upgrade Requires:

* Tue Apr 05 2011 Permaine Cheung <pcheung@redhat.com> 0:5.1.1-1
- Build for 5.1.1

* Thu Aug 19 2010 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-5
- New docs bundle from the docs team, build for CR3

* Fri Aug 13 2010 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-4
- New docs bundle from the docs team

* Thu Jul 29 2010 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-3
- New docs bundle

* Wed Jul 14 2010 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2
- Build with docs bundle from docs team
- Remove seam-examples.zip and add readme to seam referencing to the
  examples in the main zip

* Thu Jul 08 2010 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-1
- Build for EWP 5.1.0
- Remove rh-eap-docs-resteasy-examples.patch as it is now in the docs bundle
- Rename jboss-web-services-examples.zip to web-services-examples.zip
- Use macros instead of numbers for version

* Wed Apr 28 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-2
- Update docs
- Deactivate patch already in the sources

* Mon Apr 26 2010 Fernando Nasser <fnasser@redhat.com> 0:5.0.1-1
- Upgrade to 5.0.1

* Wed Feb 24 2010 Permaine Cheung <pcheung@redhat.com> 0:5.0.0-5
- Build with updated resteasy examples

* Thu Feb 18 2010 Permaine Cheung <pcheung@redhat.com> 0:5.0.0-4
- Rebuild

* Wed Feb 17 2010 Permaine Cheung <pcheung@redhat.com> 0:5.0.0-3
- Exclude jboss-messaging-examples.zip and jbossts docs
- Use new bundle from docs team
- Remove rh-ewp-docs-resteasy-examples.patch as it is fixed in the docs bundle

* Fri Jan 29 2010 Martha Benitez <mbenitez@redhat.com> 0:5.0.0-2
- Fix version for hibernate3-ejb-persistence-3.0-api

* Mon Jan 11 2009 Martha Benitez <mbenitez@redhat.com> 0:5.0.0-1
- Adapt rh-eap-docs 5.0.0-11 to become rh-ewp-docs
